cd ../../src

# Same, but with mc_maha
# Maha with metric
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models_ner.py task_configs=conll2003_selective.yaml args='do_ue_estimate\=False ue.ue_type\=mc_maha ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=metric ue.use_selective\=True ue.lamb\=0.05 ue.margin\=5.0' seeds=[17,42,51] cuda_devices=[1,2,3] output_dir='../workdir/run_train_models/conll2003_electra_metric_01_fix_new/maha_mc'
# after run ue part
HYDRA_CONFIG_PATH=../configs/run_glue_for_model_series.yaml python ./run_ner_for_model_series.py config_path=../configs/conll2003_selective.yaml model_series_dir='../workdir/run_train_models/conll2003_electra_metric_01_fix_new/maha_mc/models/conll2003_selective/' args='ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True ue.ue_type\=mc_maha ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=metric ue.use_selective\=True ue.lamb\=0.05 ue.margin\=5.0' cuda_devices=[1,2,3] seeds=[1,2,4,5,7] output_dir='../workdir/run_ner_for_model_series/conll2003_electra_metric_01_fix_new/maha_mc'

# Maha sn+metric
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models_ner.py task_configs=conll2003_selective.yaml args='do_ue_estimate\=False ue.ue_type\=mc_maha ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 +ue.use_spectralnorm\=True +spectralnorm_layer\=last ue.reg_type\=metric ue.use_selective\=True ue.lamb\=0.05 ue.margin\=5.0' seeds=[17,42,51] cuda_devices=[1,2,3] output_dir='../workdir/run_train_models/conll2003_electra_metric_01_fix_new/maha_sn_mc'
# after run ue part
HYDRA_CONFIG_PATH=../configs/run_glue_for_model_series.yaml python ./run_ner_for_model_series.py config_path=../configs/conll2003_selective.yaml model_series_dir='../workdir/run_train_models/conll2003_electra_metric_01_fix_new/maha_sn_mc/models/conll2003_selective/' args='ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True ue.ue_type\=mc_maha ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 +ue.use_spectralnorm\=True +spectralnorm_layer\=last ue.reg_type\=metric ue.use_selective\=True ue.lamb\=0.05 ue.margin\=5.0' cuda_devices=[1,2,3] seeds=[1,2,4,5,7] output_dir='../workdir/run_ner_for_model_series/conll2003_electra_metric_01_fix_new/maha_sn_mc'

HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/conll2003_electra_metric_01_fix_new/maha_mc/results' output_dir='../workdir/run_calc_ues_metrics/conll2003_electra_metric_01_fix_new/maha_mc'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/conll2003_electra_metric_01_fix_new/maha_sn_mc/results' output_dir='../workdir/run_calc_ues_metrics/conll2003_electra_metric_01_fix_new/maha_sn_mc'