cd ../../src

# Now Metric model
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.lamb\=1.0 +ue.lamb_intra\=0.006 training.learning_rate\=3e-05 +ue.margin\=0.01 training.num_train_epochs\=3 training.per_device_train_batch_size\=16 +training.weight_decay\=0 ue.reg_type\=metric' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert/metric/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.lamb\=0.01 +ue.lamb_intra\=1.0 training.learning_rate\=1e-05 +ue.margin\=5.0 training.num_train_epochs\=11 training.per_device_train_batch_size\=4 +training.weight_decay\=0.1 ue.reg_type\=metric' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert/metric/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.lamb\=0.05 +ue.lamb_intra\=0.1 training.learning_rate\=5e-06 +ue.margin\=1.0 training.num_train_epochs\=12 training.per_device_train_batch_size\=4 +training.weight_decay\=0 ue.reg_type\=metric' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert/metric/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True ue.lamb\=1.0 +ue.lamb_intra\=0.005 training.learning_rate\=0.0001 +ue.margin\=0.5 training.num_train_epochs\=10 training.per_device_train_batch_size\=32 +training.weight_decay\=0.01 ue.reg_type\=metric' seeds=[23419,705525,4837,10671619,1084218,43] cuda_devices=[0,1,2,3,4,5] output_dir='../workdir/run_train_models/distilbert/metric/conll'

# Metric SN models
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.006 +ue.lamb_intra\=0.003 training.learning_rate\=2e-05 +ue.margin\=5.0 training.num_train_epochs\=10 training.per_device_train_batch_size\=32 +training.weight_decay\=0.1 ue.reg_type\=metric' task_configs=mrpc.yaml output_dir=../workdir/run_train_models/distilbert/metric_sn/mrpc
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.001 +ue.lamb_intra\=1.0 training.learning_rate\=2e-05 +ue.margin\=0.5 training.num_train_epochs\=7 training.per_device_train_batch_size\=16 +training.weight_decay\=0.01 ue.reg_type\=metric' task_configs=cola.yaml output_dir=../workdir/run_train_models/distilbert/metric_sn/cola
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_glue.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] args='ue\=mc do_ue_estimate\=False ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.001 +ue.lamb_intra\=0.05 training.learning_rate\=5e-05 +ue.margin\=0.25 training.num_train_epochs\=8 training.per_device_train_batch_size\=8 +training.weight_decay\=0.1 ue.reg_type\=metric' task_configs=sst2.yaml output_dir=../workdir/run_train_models/distilbert/metric_sn/sst2

HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py script=run_conll2003.py task_configs=conll2003.yaml args='do_ue_estimate\=False data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 model.model_name_or_path\=distilbert-base-cased ue.use_selective\=True +ue.use_spectralnorm\=True spectralnorm_layer\=last ue.lamb\=0.02 +ue.lamb_intra\=0.1 training.learning_rate\=0.0001 +ue.margin\=0.01 training.num_train_epochs\=9 training.per_device_train_batch_size\=16 +training.weight_decay\=0.01 ue.reg_type\=metric' seeds=[23419,705525,4837,10671619,1084218,43] cuda_devices=[0,1,2,3,4,5] output_dir='../workdir/run_train_models/distilbert/metric_sn/conll'

# Now calc UE
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/mrpc/models/mrpc/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/last'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/cola/models/cola/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/last'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/sst2/models/sst2/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/last'

# all
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/mrpc/models/mrpc/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/all'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/cola/models/cola/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/all'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/sst2/models/sst2/ args='ue\=mc do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=all' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/all'

# DPP 2
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/mrpc/models/mrpc/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/dpp'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/cola/models/cola/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/dpp'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/sst2/models/sst2/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/dpp'

# DPP with OOD
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/mrpc/models/mrpc/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.5' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/cola/models/cola/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/sst2/models/sst2/ args='ue\=mc-dpp do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.dropout_subs\=last ue.dropout.use_ood_sampling\=True ue.dropout.committee_size\=50 ue.committee_size\=100 ue.dropout.max_frac\=0.6' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/dpp_with_ood'

# maha
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/mrpc/models/mrpc/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/maha'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/cola/models/cola/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/maha'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/metric/sst2/models/sst2/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base' output_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/maha'


# Now estimate mc_maha with SN model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/mrpc.yaml model_series_dir=../workdir/run_train_models/distilbert/metric_sn/mrpc/models/mrpc/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/metric_sn/mrpc/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/cola.yaml model_series_dir=../workdir/run_train_models/distilbert/metric_sn/cola/models/cola/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/metric_sn/cola/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] config_path=../configs/sst2.yaml model_series_dir=../workdir/run_train_models/distilbert/metric_sn/sst2/models/sst2/ args='ue\=mahalanobis do_ue_estimate\=True ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.calibrate\=True data.validation_subsample\=0.0 training\=electra_base ue.use_spectralnorm\=True spectralnorm_layer\=last' output_dir='../workdir/run_glue_for_model_series/distilbert/metric_sn/sst2/maha_sn'



# Finally, calc metrics
# last
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/mrpc/last'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/cola/last'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/sst2/last'
# all
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/mrpc/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/cola/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/sst2/all'
# dpp2
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/mrpc/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/cola/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/sst2/dpp'
# dpp with ood
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/mrpc/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/cola/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/sst2/dpp_with_ood'
# maha
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/mrpc/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/mrpc/maha'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/cola/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/cola/maha'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric/sst2/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/sst2/maha'
# sn maha
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric_sn/mrpc/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric_sn/mrpc/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric_sn/cola/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric_sn/cola/maha_sn'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics.py runs_dir='../workdir/run_glue_for_model_series/distilbert/metric_sn/sst2/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric_sn/sst2/maha_sn'




HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/metric/conll/models/conll2003/' args='ue\=mc ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/last'
# all
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/metric/conll/models/conll2003/' args='ue\=mc ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True ue.dropout_subs\=all data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/all'
# DPP 2, metric model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/metric/conll/models/conll2003/' args='ue\=mc-dpp ue.use_cache\=True do_ue_estimate\=True ue.calibrate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.committee_size\=100 ue.dropout.max_frac\=0.6 ue.dropout.mask_name_for_mask\=rbf' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/dpp'
# DPP with ood, metric model
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/metric/conll/models/conll2003/' args='ue\=mc-dpp ue.use_cache\=True do_ue_estimate\=True ue.dropout.use_ood_sampling\=True ue.calibrate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.committee_size\=100 ue.dropout.max_frac\=0.6 ue.dropout.mask_name_for_mask\=rbf' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/dpp_with_ood'
# SMD - Maha and MC Maha in one run
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/metric/conll/models/conll2003/' args='ue\=mahalanobis ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=metric ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/maha'
# MD - Maha
HYDRA_CONFIG_PATH=../configs/run_tasks_for_model_series.yaml python ./run_tasks_for_model_series.py script=run_conll2003.py config_path=../configs/conll2003.yaml model_series_dir='../workdir/run_train_models/distilbert/metric_sn/conll/models/conll2003/' args='ue\=mahalanobis ue.calibrate\=True ue.use_cache\=True do_ue_estimate\=True data.subsample_perc_val\=0.1 data.subsample_perc\=0.1 ue.reg_type\=metric ue.use_selective\=True ue.reg_type\=metric model.model_name_or_path\=distilbert-base-cased ue.use_spectralnorm\=True spectralnorm_layer\=last' cuda_devices=[0,1,2,3,4,5] seeds=[23419,705525,4837,10671619,1084218,43] output_dir='../workdir/run_ner_for_model_series/distilbert/metric_sn/conll/maha_sn'

HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/last' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/conll/last'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/all' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/conll/all'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/dpp' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/conll/dpp'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/dpp_with_ood' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/conll/dpp_with_ood'
HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/metric/conll/maha' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric/conll/maha'
# SN

HYDRA_CONFIG_PATH=../configs/run_calc_ues_metrics.yaml python ./run_calc_ues_metrics_ner.py runs_dir='../workdir/run_ner_for_model_series/distilbert/metric_sn/conll/maha_sn' output_dir='../workdir/run_calc_ues_metrics/distilbert/metric_sn/conll/maha_sn'
